# MARK-WEB

Web interface for MARK server.

![Cascade of detectors](figures/cascade.png)

![Ranking produced by a detector](figures/ranking.png)

![Report produced by a detector](figures/report.png)

![System status](figures/status.png)

## Demo mode

In ```demo``` mode, the user is directly logged in as administrator (no password required). To activate demo mode, change **.env** :

```
APP_ENV=demo
```

or set environment variable ```APP_ENV=demo```.

## Contributing

Start a mongodb container and a mark-example container so we have some toy
data to display:

```bash
docker-compose up
```

Start Laravel integrated webserver

```bash
cp .env.example .env
php artisan serve
```

The web interface is now available at ```http://127.0.0.1:8000```

The default credentials are ```mark-admin@cylab.be``` : ```change-me!```

