<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWowasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wowas', function (Blueprint $table) {
            $table->id();
            $table->integer("user_id");
            $table->text("status");
            $table->timestamps();
            $table->integer("start_time");
            $table->integer("end_time");
            $table->text("w_weights");
            $table->text("p_weights");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('wowas');
    }
}
