<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTrainingParameters extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('wowas', function (Blueprint $table) {
            $table->integer('population')->nullable();
            $table->integer('crossover_rate')->nullable();
            $table->integer('mutation_rate')->nullable();
            $table->integer('generation_number')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wowas', function (Blueprint $table) {
            //
        });
    }
}
