@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <p>Found <b>{{ count($evidences) }}</b> evidences</p>

    <table class="table table-sm table-striped">
        <tr>
            <th>label</th>
            <th>timestamp</th>
            <th>subject</th>
            <th>score</th>
            <th></th>
        </tr>
        @foreach ($evidences as $evidence)
        <tr>
            <td>{{ $evidence->label }}</td>
            <td>{{ $evidence->timeForHumans() }}</td>
            <td>{{ $evidence->subject() }}</td>
            <td>{{ $evidence->score }}</td>
            <td class="text-right d-print-none">
                <a href="/app/evidence/{{ $evidence->id }}"
                   class="btn btn-primary btn-sm">
                    <i class="fas fa-search"></i> Inspect
                </a>
            </td>
        </tr>
        @endforeach
    </table>
</div>
@endsection